using System;
using System.Collections.Generic;
using TheGameExtreme.model.gameActions.classic;
using TheGameExtreme.model.piles;

namespace TheGameExtreme.model
{
    public class Parametreur
    {

        public GameMode GameMode { get; set; }
        public List<Player> players = new List<Player>();
        public int NbPlayer { get; set; }

        public Parametreur(GameMode gameMode)
        {
            GameMode = gameMode;
        }

        public void Prepare()
        {
            NbPlayer = players.Count;
            GameMode.load(NbPlayer, players);
        }

        public void AddPlayer(Player player)
        {
            if (player != null)
            {
                players.Add(player);
            }
        }
    }
}
